
function initAnschluesse()
{
	selectedElement = document.getElementById('produktpalette').value;
	newitems = Anschluesse[selectedElement];
	
	//target_element = document.getElementById('IDC_ANSCHLUSSART_COMBO');
	//target_element.setAttribute("items", newitems);
	dialog.IDC_ANSCHLUSSART_COMBO.setNewItemList( newitems );
	
	initCombobox('IDC_ANSCHLUSSART_COMBO');
}

function changedBauart(Auswahlweg)
{
   	selectedElement = document.getElementById('IDC_BAUART_COMBO').options[document.getElementById('IDC_BAUART_COMBO').selectedIndex].value;
	//alert(selectedElement);
   	gifpfad = document.getElementById('gifpath').value;
   	palette = document.getElementById('produktpalette').value;

	newitems = Beweglich[selectedElement];
	
	//target_element = document.getElementById('IDC_BEWEGLICH_COMBO');
	//target_element.setAttribute("items", newitems);
	dialog.IDC_BEWEGLICH_COMBO.setNewItemList( newitems );
	
	initCombobox('IDC_BEWEGLICH_COMBO');
	if (palette == 'ID_ID')
		newitems = LeitrohreID[selectedElement];
	else
		newitems = LeitrohreTGA[selectedElement];

	//target_element = document.getElementById('IDC_LEITROHR_COMBO');
	//target_element.setAttribute("items", newitems);
	dialog.IDC_LEITROHR_COMBO.setNewItemList( newitems );
	
	initCombobox('IDC_LEITROHR_COMBO');

   if (selectedElement == 'ID_AXIAL') 
   {
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'Ax.gif';

		if (Auswahlweg != 'NENN')
		{
			componentEnable('IDC_BEWEGUNG_DX_UNITS_COMBO');
			componentEnable('IDC_BEWEGUNG_DX');
			componentDisable('IDC_BEWEGUNG_DY_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_DZ_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_DY');
			componentDisable('IDC_BEWEGUNG_DZ');
			componentDisable('IDC_BEWEGUNG_RY_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_RZ_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_RY');
			componentDisable('IDC_BEWEGUNG_RZ');

			document.getElementById('IDC_BEWEGUNG_RZ').value = '0.0';
			document.getElementById('IDC_BEWEGUNG_RY').value = '0.0';
			document.getElementById('IDC_BEWEGUNG_DY').value = '0';
			document.getElementById('IDC_BEWEGUNG_DZ').value = '0';
		}
   }
   else
   {
	if (selectedElement == 'ID_AXIAL_UNIVERSAL')
	{
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'Universal.gif';

		if (Auswahlweg != 'NENN')
		{
			componentEnable('IDC_BEWEGUNG_DX_UNITS_COMBO');
			componentEnable('IDC_BEWEGUNG_DX');
			componentEnable('IDC_BEWEGUNG_DY_UNITS_COMBO');
			componentEnable('IDC_BEWEGUNG_DZ_UNITS_COMBO');
			componentEnable('IDC_BEWEGUNG_DY');
			componentEnable('IDC_BEWEGUNG_DZ');
			componentDisable('IDC_BEWEGUNG_RY_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_RZ_UNITS_COMBO');
			componentDisable('IDC_BEWEGUNG_RY');
			componentDisable('IDC_BEWEGUNG_RZ');
		}
	}
	else
	{
		if (selectedElement == 'ID_ANGULAR')
   		{
	      	document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'Ang.gif';

			if (Auswahlweg != 'NENN')
			{
				componentDisable('IDC_BEWEGUNG_DX_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_DX');
				componentDisable('IDC_BEWEGUNG_DY_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_DZ_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_DY');
				componentDisable('IDC_BEWEGUNG_DZ');
				componentEnable('IDC_BEWEGUNG_RY_UNITS_COMBO');
				componentEnable('IDC_BEWEGUNG_RZ_UNITS_COMBO');
				componentEnable('IDC_BEWEGUNG_RY');
				componentEnable('IDC_BEWEGUNG_RZ');

				document.getElementById('IDC_BEWEGUNG_DX').value = '0';
				document.getElementById('IDC_BEWEGUNG_DY').value = '0';
				document.getElementById('IDC_BEWEGUNG_DZ').value = '0';
			}
   		}
		else
   		{
			if (selectedElement == 'ID_LATERAL')
		      	document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'Lat.gif';
			else
				document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'Ax.gif';

			if (Auswahlweg != 'NENN')
			{
				componentDisable('IDC_BEWEGUNG_DX_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_DX');
				componentEnable('IDC_BEWEGUNG_DY_UNITS_COMBO');
				componentEnable('IDC_BEWEGUNG_DZ_UNITS_COMBO');
				componentEnable('IDC_BEWEGUNG_DY');
				componentEnable('IDC_BEWEGUNG_DZ');
				componentDisable('IDC_BEWEGUNG_RY_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_RZ_UNITS_COMBO');
				componentDisable('IDC_BEWEGUNG_RY');
				componentDisable('IDC_BEWEGUNG_RZ');

				document.getElementById('IDC_BEWEGUNG_RZ').value = '0.0';
				document.getElementById('IDC_BEWEGUNG_RY').value = '0.0';
				document.getElementById('IDC_BEWEGUNG_DX').value = '0';
			}
   		}
	}
   }
}

function changedBeweglich()
{
   selectedBauart = document.getElementById('IDC_BAUART_COMBO').options[document.getElementById('IDC_BAUART_COMBO').selectedIndex].value;
   selectedBeweglich = document.getElementById('IDC_BEWEGLICH_COMBO').options[document.getElementById('IDC_BEWEGLICH_COMBO').selectedIndex].value;

	if ((selectedBauart == 'ID_ANGULAR') && (selectedBeweglich == 'ID_EINSEITIG'))
	{
		if ( (document.getElementById('IDC_BEWEGUNG_RY').value != 0) &&
			 (document.getElementById('IDC_BEWEGUNG_RZ').value != 0) )
		{
			document.getElementById('IDC_BEWEGUNG_RZ').value = '0.0';
			document.getElementById('IDC_BEWEGUNG_RY').value = '0.0';
		}
	}
	if ((selectedBauart == 'ID_LATERAL') && (selectedBeweglich == 'ID_EINSEITIG'))
	{
		if ( (document.getElementById('IDC_BEWEGUNG_DY').value != 0) &&
			 (document.getElementById('IDC_BEWEGUNG_DZ').value != 0) )
		{
			document.getElementById('IDC_BEWEGUNG_DZ').value = '0';
			document.getElementById('IDC_BEWEGUNG_DY').value = '0';
		}
	}
}

function killRZ()
{
	selectedBeweglich = document.getElementById('IDC_BEWEGLICH_COMBO').options[document.getElementById('IDC_BEWEGLICH_COMBO').selectedIndex].value;
	if (selectedBeweglich == 'ID_EINSEITIG') 
		if (document.getElementById('IDC_BEWEGUNG_RY').value != 0)
			document.getElementById('IDC_BEWEGUNG_RZ').value = '0.0';
}
function killRY()
{
	selectedBeweglich = document.getElementById('IDC_BEWEGLICH_COMBO').options[document.getElementById('IDC_BEWEGLICH_COMBO').selectedIndex].value;
	if (selectedBeweglich == 'ID_EINSEITIG') 
		if (document.getElementById('IDC_BEWEGUNG_RZ').value != 0)
			document.getElementById('IDC_BEWEGUNG_RY').value = '0.0';
}
function killDY()
{
	selectedBeweglich = document.getElementById('IDC_BEWEGLICH_COMBO').options[document.getElementById('IDC_BEWEGLICH_COMBO').selectedIndex].value;
	if (selectedBeweglich == 'ID_EINSEITIG') 
		if (document.getElementById('IDC_BEWEGUNG_DZ').value != 0)
			document.getElementById('IDC_BEWEGUNG_DY').value = '0';
}
function killDZ()
{
	selectedBeweglich = document.getElementById('IDC_BEWEGLICH_COMBO').options[document.getElementById('IDC_BEWEGLICH_COMBO').selectedIndex].value;
	if (selectedBeweglich == 'ID_EINSEITIG') 
		if (document.getElementById('IDC_BEWEGUNG_DY').value != 0)
			document.getElementById('IDC_BEWEGUNG_DZ').value = '0';
}


function checkDGRL(modus)
{
	Verfahren = document.getElementById('IDC_ABNAHMEN_COMBO').options[document.getElementById('IDC_ABNAHMEN_COMBO').selectedIndex].value;

	// ist das ueberhaupt zulaessig?
	PS		   = document.getElementById('vorgabe_PS').value;
	auswahlweg = document.getElementById('auswahlweg').value;

	if ((Verfahren == 'ID_ABNAHME_DGRL') &&
		((PS <= 0.5) || (auswahlweg == 'AUSWAHL_NENNDATEN')))
	{   
		document.getElementById('IDC_DGRL_WARNUNG_INSTABIL').style.visibility = 'hidden';
		if (modus == 'warnung')
		{
			message = document.getElementById('noDGRLmessage').value;
			if(message){ alert(message); }
		}
		document.getElementById('IDC_ABNAHMEN_COMBO').selectedIndex = 3;
		Verfahren = document.getElementById('IDC_ABNAHMEN_COMBO').options[document.getElementById('IDC_ABNAHMEN_COMBO').selectedIndex].value;
		setzePruefReiterVisibility(Verfahren);
		return;
	}

	setzePruefReiterVisibility(Verfahren);

	if (Verfahren == 'ID_ABNAHME_DGRL')
	{
		// bestimme erforderliche Kategorie, ändere nur wenn erforderlich < gewählt
		onDGLRKategoriechange();
	}
	else
		document.getElementById('IDC_DGRL_WARNUNG_INSTABIL').style.visibility = 'hidden';
	
}

function setzePruefReiterVisibility(Verfahren)
{
	DGRLvisibility = 'hidden';
	Restvisibility = 'visible';
	//alert(Verfahren);
	if (Verfahren == 'ID_ABNAHME_DGRL')
	{
		DGRLvisibility = 'visible';
		Restvisibility = 'hidden';
		
	}
	else if (Verfahren == 'ID_ABNAHME_OHNE')
	{
		DGRLvisibility = 'hidden';
		Restvisibility = 'hidden';
	}

	document.getElementById('IDC_MATERIALZEUGNIS_CHECKBOX').style.visibility = Restvisibility;
	document.getElementById('IDC_DRUCKPRUEFUNG_CHECKBOX').style.visibility = Restvisibility;
	document.getElementById('IDC_MATERIALZEUGNISSE_CHECKBOX_LABEL').style.visibility = Restvisibility;
	document.getElementById('IDC_DRUCKPRUEFUNG_CHECKBOX_LABEL').style.visibility = Restvisibility;
	document.getElementById('IDC_ZUSAETZLICHE_PRUEFSCHRITTE_LABEL').style.visibility = Restvisibility;

	document.getElementById('IDC_RADIO_ROHR_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_RADIO_ROHR').style.visibility = DGRLvisibility;
	document.getElementById('IDC_RADIO_BEHAELTER_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_RADIO_BEHAELTER').style.visibility = DGRLvisibility;
	document.getElementById('IDC_VOLUMEN_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_VOLUMEN_EDIT').style.visibility = DGRLvisibility;
	document.getElementById('IDC_VOLUMEN_UNIT_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_FLUIDGRUPPE_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_FLUIDZUSTAND_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_FLUIDGRUPPE_COMBO').style.visibility = DGRLvisibility;
	document.getElementById('IDC_FLUIDZUSTAND_COMBO').style.visibility = DGRLvisibility;
	document.getElementById('IDC_VORGABE_KATEGORIE_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_VORGABE_KATEGORIE_COMBO').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ZUSAETZLICHE_DOKU_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ZEUGNIS_DGRL_31B_CHECKBOX').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ZEUGNIS_DGRL_31B_CHECKBOX_LABEL').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ZEUGNIS_DGRL_22_CHECKBOX').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ZEUGNIS_DGRL_22_CHECKBOX_LABEL').style.visibility = DGRLvisibility;

	document.getElementById('IDC_ABNAHME_RESULT_RAHMEN').style.visibility = DGRLvisibility;
	document.getElementById('IDC_ABNAHME_RESULT_TEXT').style.visibility = DGRLvisibility;
}

function wsInnenlageChanged()
{
	alleLagengleich = document.getElementById('IDC_ALLE_LAGEN_CHECKBOX').checked;
	if (alleLagengleich)
	{
		componentEnable('IDC_ZWISCHENLAGE_COMBOBOX');
		componentEnable('IDC_AUSSENLAGE_COMBOBOX');
		document.getElementById('IDC_ZWISCHENLAGE_COMBOBOX').selectedIndex = document.getElementById('IDC_INNENLAGE_COMBOBOX').selectedIndex;
		document.getElementById('IDC_AUSSENLAGE_COMBOBOX').selectedIndex = document.getElementById('IDC_INNENLAGE_COMBOBOX').selectedIndex;
		componentDisable('IDC_ZWISCHENLAGE_COMBOBOX');
		componentDisable('IDC_AUSSENLAGE_COMBOBOX');
	}
}

function checkAnschlusstyp(Param)
{
	Anschluss = document.getElementById('anschlusstyp').value;
	//alert('Anschluss='+Anschluss);
	//alert('Param='+Param);
	Flanschvisibility = 'hidden';
	SEvisibility = 'visible';
	if (Anschluss == 'FLANSCH')
	{
		Flanschvisibility = 'visible';
		SEvisibility = 'hidden';
	}
	if (Param == 'NONE')
	{
		Flanschvisibility = 'hidden';
		SEvisibility = 'hidden';
	}
	document.getElementById('IDC_DA').style.visibility = SEvisibility;
	document.getElementById('IDC_S').style.visibility = SEvisibility;
	document.getElementById('IDC_DA_LABEL').style.visibility = SEvisibility;
	document.getElementById('IDC_S_LABEL').style.visibility = SEvisibility;
	document.getElementById('IDC_ANSCHWEISSENDE_LABEL').style.visibility = SEvisibility;

	document.getElementById('IDC_FLANSCH_BOHRBILD_LABEL').style.visibility = Flanschvisibility;
	document.getElementById('IDC_FLANSCH_BOHRBILD_COMBOBOX').style.visibility = Flanschvisibility;
	// document.getElementById('IDC_RADIO_DIN_ANSI').style.visibility = Flanschvisibility;
	document.getElementById('IDC_DIN_RADIO').style.visibility = Flanschvisibility;
	document.getElementById('IDC_ANSI_RADIO').style.visibility = Flanschvisibility;
	document.getElementById('IDC_DIN_RADIO_LABEL').style.visibility = Flanschvisibility;
	document.getElementById('IDC_ANSI_RADIO_LABEL').style.visibility = Flanschvisibility;
}

function belegeWanddicke()
{
	Anschluss = document.getElementById('anschlusstyp').value;
	if (Anschluss == 'SE')
	{
	   selectedWS = document.getElementById('IDC_ANSCHLUESSE_COMBOBOX').options[document.getElementById('IDC_ANSCHLUESSE_COMBOBOX').selectedIndex].value;
	   newDicke = SE_Wanddicken[selectedWS];
	   document.getElementById('IDC_S').innerHTML = newDicke;
	   // alert(newDicke);
	}
}

function ergInitTab(tab)
{
	//tab = dialog.IDC_ERGAENZENTABCTRL.getSelected();
	//alert('ergInitTab'+tab);
	
	ergShowTab(tab);
}

function ergOnloadTab()
{
	Tab = dialog.IDC_ERGAENZENTABCTRL.getSelected();
	// Beim allerersten Laden ist der selektierte Reiter leer
	//alert('OnLoadTab='+Tab);
	if (typeof(document.getElementById('IDC_ERGAENZENTABCTRL').selected) == 'undefined')
	{
		Tab = 'IDC_PRUEFBESCHEINIGUNG';
	}
	ergShowTab(Tab);
}

function ergShowTab(selektierterTab)
{
	//alert('ergShowTab='+selektierterTab);
	if (selektierterTab == 'IDC_PRUEFBESCHEINIGUNG')
	{
		Verfahren = document.getElementById('IDC_ABNAHMEN_COMBO').options[document.getElementById('IDC_ABNAHMEN_COMBO').selectedIndex].value;
		setzePruefReiterVisibility(Verfahren);
	}
	else
	{
		document.getElementById('IDC_FLUIDGRUPPE_COMBO').style.visibility = 'hidden';
		document.getElementById('IDC_FLUIDZUSTAND_COMBO').style.visibility = 'hidden';
		document.getElementById('IDC_VORGABE_KATEGORIE_COMBO').style.visibility = 'hidden';
	}
	if (selektierterTab == 'IDC_VARIANTEN')
		checkAnschlusstyp('SEL');
	else
		checkAnschlusstyp('NONE');
}

function alleLagenGleich()
{
	alleLagengleich = document.getElementById('IDC_ALLE_LAGEN_CHECKBOX').checked;
	// alert(alleLagengleich);
	if (alleLagengleich)
	{
		wsInnenlageChanged();
		// componentDisable('IDC_ZWISCHENLAGE_COMBOBOX');
		// componentDisable('IDC_AUSSENLAGE_COMBOBOX');
	}
	else
	{
		componentEnable('IDC_ZWISCHENLAGE_COMBOBOX');
		componentEnable('IDC_AUSSENLAGE_COMBOBOX');
	}
}

function checkVorspannung(NameEdit)
{
	eingabe = document.getElementById(NameEdit).value;
	minWert = 0;
	maxWert = 0;
	optWert = 0;
	if (NameEdit == 'IDC_X_ACHSE_VORGABE')
	{
		maxWert = document.getElementById('IDC_X_ACHSE_MAXIMAL').text;
		minWert = document.getElementById('IDC_X_ACHSE_MINIMAL').text;
		optWert = document.getElementById('IDC_X_ACHSE_OPTIMAL').text;
	}
	if (NameEdit == 'IDC_Y_ACHSE_VORGABE')
	{
		maxWert = document.getElementById('IDC_Y_ACHSE_MAXIMAL').text;
		minWert = document.getElementById('IDC_Y_ACHSE_MINIMAL').text;
		optWert = document.getElementById('IDC_Y_ACHSE_OPTIMAL').text;
	}
	if (NameEdit == 'IDC_Z_ACHSE_VORGABE')
	{
		maxWert = document.getElementById('IDC_Z_ACHSE_MAXIMAL').text;
		minWert = document.getElementById('IDC_Z_ACHSE_MINIMAL').text;
		optWert = document.getElementById('IDC_Z_ACHSE_OPTIMAL').text;
	}
	if ( ( (parseFloat(maxWert) >=0) && ( (parseFloat(eingabe) < parseFloat(minWert)) || (parseFloat(eingabe) > parseFloat(maxWert)))) ||
	     ( (parseFloat(maxWert) < 0) && ( (parseFloat(eingabe) > parseFloat(minWert)) || (parseFloat(eingabe) < parseFloat(maxWert)))))
		document.getElementById(NameEdit).value = optWert;
	// if ( (m_dMaxVorspannungX >=0 && ( dVorspannungX < m_dMinVorspannungX || dVorspannungX > m_dMaxVorspannungX)) ||
	// 	    (m_dMaxVorspannungX < 0 && ( dVorspannungX > m_dMinVorspannungX || dVorspannungX < m_dMaxVorspannungX)))

}


function setzePruefumfangTextDGRL(selindex)
{
	if (selindex <= 0)
		result = document.getElementById('pruef_fix_kp_katGIP').value;
	if (selindex == 1)
		result = document.getElementById('pruef_fix_kp_kat1').value + '<br>' + document.getElementById('pruef_var_kp_kat1').value;
	if (selindex == 2)
		result = document.getElementById('pruef_fix_kp_kat2').value + '<br>' + document.getElementById('pruef_var_kp_kat2').value;
	if (selindex == 3)
		result = document.getElementById('pruef_fix_kp_kat3').value + '<br>' + document.getElementById('pruef_var_kp_kat3').value;
	if (selindex == 4)
		result = document.getElementById('pruef_fix_kp_kat4').value + '<br>' + document.getElementById('pruef_var_kp_kat4').value;

	document.getElementById('IDC_ABNAHME_RESULT_TEXT').innerHTML = result;
}